## ros-humble-novatel-oem7-msgs 20.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(novatel_oem7_msgs)


set(CMAKE_CXX_STANDARD 14)

set(MSG_DEPS std_msgs)


find_package(ament_cmake 		REQUIRED)
find_package(rosidl_default_generators 	REQUIRED)
find_package(std_msgs 			REQUIRED)


set(MSG_FILES
  srv/Oem7AbasciiCmd.srv
  msg/Oem7RawMsg.msg
  msg/Oem7Header.msg
  msg/BESTPOS.msg
  msg/BESTUTM.msg
  msg/BESTVEL.msg
  msg/BESTGNSSPOS.msg
  msg/PPPPOS.msg
  msg/HEADING2.msg
  msg/INSCONFIG.msg
  msg/INSPVA.msg
  msg/INSPVAX.msg
  msg/INSSTDEV.msg
  msg/CORRIMU.msg
  msg/IMURATECORRIMU.msg
  msg/RXSTATUS.msg
  msg/TERRASTARSTATUS.msg
  msg/TERRASTARINFO.msg
  msg/TIME.msg
  msg/INSExtendedSolutionStatus.msg
  msg/INSFrame.msg
  msg/INSReceiverStatus.msg
  msg/INSResetType.msg
  msg/INSSourceStatus.msg
  msg/INSUpdate.msg
  msg/BestExtendedSolutionStatus.msg
  msg/InertialSolutionStatus.msg
  msg/INSAlignmentMode.msg
  msg/INSOutputFrame.msg
  msg/PositionOrVelocityType.msg
  msg/Rotation.msg
  msg/RotationalOffset.msg
  msg/SolutionStatus.msg
  msg/SolutionSource.msg
  msg/Translation.msg
  msg/TranslationOffset.msg
  msg/SubscriptionPermission.msg
  msg/SubscriptionType.msg
  msg/SyncState.msg
  msg/RegionRestriction.msg
  msg/LocalAreaStatus.msg
  msg/AccessStatus.msg
  msg/GeogatingStatus.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)


ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-novatel-oem7-msgs (20.1.0-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- NovAtel Support <support.novatel@hexagon.com>  Mon, 24 Apr 2023 16:58:33 -0000

ros-humble-novatel-oem7-msgs (20.0.0-1jammy) jammy; urgency=high

  Formal support for Humble; functionality updated to that of ROS1 v4.2.0
  * BESTGNSSPOS, PPPPOS, TERRASTARINFO, TERRASTARSTATUS Oem7 Messages

 -- NovAtel Support <support.novatel@hexagon.com>  Tue, 18 Apr 2023 07:00:00 -0000

ros-humble-novatel-oem7-msgs (10.0.0-1jammy) jammy; urgency=high

  Initial Support for ROS2/Foxy

 -- NovAtel Support <support.novatel@hexagon.com>  Tue, 31 Aug 2021 07:00:00 -0000

=== debian/control ===
Source: ros-humble-novatel-oem7-msgs
Section: misc
Priority: optional
Maintainer: NovAtel Support <support.novatel@hexagon.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.novatel.com
Standards-Version: 3.9.2

Package: ros-humble-novatel-oem7-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Messages for NovAtel Oem7 family of receivers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-novatel-oem7-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
